libmodule-install-doapchangesets-perl_0.206-1_all.deb


Advertisement

Description

libmodule-install-doapchangesets-perl - write your distribution change log in RDF

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libmodule-install-doapchangesets-perl
Package version 0.206
Package release 1
Package architecture all
Package type deb
Installed size 106 B
Download size 24.09 KB
Official Mirror ftp.br.debian.org
Resource Description Framework (RDF) is a standard model for data
interchange on the Web.
Module::Install::DOAPChangeSets allows you to write your Changes file
in Turtle or RDF/XML and autogenerate a human-readable text file.
To do this, create an RDF file called "meta/changes.ttl" (or something
like that) and describe your distribution's changes in RDF using the
Dublin Core, DOAP, and DOAP Change Sets vocabularies. Then in your
Makefile.PL, include:
write_doap_changes "meta/changes.ttl", "Changes", "turtle";
This line will read your data from the file named as the first
argument, parse it using either Turtle or RDFXML parsers (the third
argument), and output a human-readable changelog to the file named as
the second argument.

Alternatives

Package Version Architecture Repository
libmodule-install-doapchangesets-perl_0.206-1_all.deb 0.206 all Debian Main
libmodule-install-doapchangesets-perl - - -

Requires

Name Value
libfile-slurp-perl -
liblist-moreutils-perl -
libmodule-install-perl -
libperl-version-perl -
librdf-query-perl -
librdf-trine-perl -
liburi-perl -
libwww-perl -
perl -

Download

Type URL
Binary Package libmodule-install-doapchangesets-perl_0.206-1_all.deb
Source Package libmodule-install-doapchangesets-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmodule-install-doapchangesets-perl deb package:
    # sudo apt-get install libmodule-install-doapchangesets-perl

Files

Path
/usr/share/doc/libmodule-install-doapchangesets-perl/README
/usr/share/doc/libmodule-install-doapchangesets-perl/buildinfo_all.gz
/usr/share/doc/libmodule-install-doapchangesets-perl/changelog.Debian.gz
/usr/share/doc/libmodule-install-doapchangesets-perl/changelog.gz
/usr/share/doc/libmodule-install-doapchangesets-perl/copyright
/usr/share/man/man3/Module::Install::DOAPChangeSets.3pm.gz
/usr/share/man/man3/Module::Install::DOAPChangeSets::Format.3pm.gz
/usr/share/man/man3/RDF::DOAP::ChangeSets.3pm.gz
/usr/share/perl5/Module/Install/DOAPChangeSets.pm
/usr/share/perl5/Module/Install/Admin/DOAPChangeSets.pm
/usr/share/perl5/Module/Install/DOAPChangeSets/Format.pod
/usr/share/perl5/RDF/DOAP/ChangeSets.pm

Changelog

2013-08-09 - Jonas Smedegaard <dr@jones.dk>
libmodule-install-doapchangesets-perl (0.206-1) unstable; urgency=low
[ upstream ]
* New release.
+ Minor changes to the release header now that CPAN::Changes::Spec
0.02 has been published.
[ Jonas Smedegaard ]
* Add git URL as alternate source.
* Stop tracking md5sum of upstream tarball.
* Improve watch file to use both www.cpan.org/authors URL (for newest
info) and search.cpan.org/dist URL (for change of author).
Switch get-orig-source target to use www.cpan.org/authors URL.
2013-07-16 - Jonas Smedegaard <dr@jones.dk>
libmodule-install-doapchangesets-perl (0.205-1) unstable; urgency=low
[ upstream ]
* New release.
+ Support 'dcs:fixes'.
[ Salvatore Bonaccorso ]
* Use canonical hostname (anonscm.debian.org) in Vcs-Git URI.
[ Jonas Smedegaard ]
* Add README.source emphasizing control.in file as *not* a
show-stopper for contributions, referring to wiki page for details.
* Stop track upstream prereleases.
* Drop patch 1001: Build problem turned out to be (and fixed by now)
in CDBS.
* Bump packaging license to GPL-3+, and extend copyrigt coverage for
myself to include current year.
* (Build-)depend on liblist-moreutils-perl.
* Update copyright coverage for convenience code copies and main
upstream author.
* Bump standards-version to 3.9.4.
2012-08-07 - Jonas Smedegaard <dr@jones.dk>
libmodule-install-doapchangesets-perl (0.203-1) unstable; urgency=low
* New upstream release.
[ Jonas Smedegaard ]
* Bump debhelper compatibility level to 8.
* Update copyright file:
+ Fix use pseudo-license-in-comment and -comment-in-license fields:
File format 1.0 mandates License field to either be single-line or
include all licensing info.
+ Extend coverage of main project to include current year.
* Tidy rules file.
* Update package relations:
+ Recommend libmodule-install-doap-perl, libmodule-package-perl and
recent libmodule-install-rdf-perl.
+ Relax to (build-)depend unversioned on cdbs: Needed version
satisfied in stable, and oldstable no longer supported.
* Use metacpan.org page as Homepage.
* Use bugtracker as preferred upstream contact.
2012-06-04 - Jonas Smedegaard <dr@jones.dk>
libmodule-install-doapchangesets-perl (0.202-1) unstable; urgency=low
* Initial packaging release.
Closes: bug#675805.

See Also

Package Description
libmodule-install-extratests-perl_0.008-1_all.deb contextual tests that the harness can ignore
libmodule-install-manifestskip-perl_0.24-1_all.deb generate a MANIFEST.SKIP file
libmodule-install-perl_1.14-1_all.deb framework for installing Perl modules
libmodule-install-rdf-perl_0.009-1_all.deb advanced metadata for your Perl packaging
libmodule-install-readmefrompod-perl_0.22-1_all.deb automatically convert POD to a README
libmodule-install-trustmetayml-perl_0.003-2_all.deb trust META.yml list of dependencies
libmodule-install-xsutil-perl_0.45-1_all.deb Module::Install extension for handling XS modules
libmodule-load-conditional-perl_0.62-1_all.deb module for looking up information about modules
libmodule-manifest-perl_1.08-1_all.deb module for parsing and examining a Perl distribution MANIFEST file
libmodule-manifest-skip-perl_0.23-1_all.deb MANIFEST.SKIP management for Perl modules
libmodule-math-depends-perl_0.02-2_all.deb convenience object for manipulating Perl module dependencies
libmodule-metadata-perl_1.000024-1_all.deb Perl module to gather package and POD information from perl module files
libmodule-optional-perl_0.03-1_all.deb Module::Optional - Breaking module dependency chains
libmodule-package-perl_0.30-2_all.deb postmodern Perl module packaging
libmodule-package-rdf-perl_0.014-1_all.deb drive your distribution with RDF
Advertisement
Advertisement